GET
/categoriesList
Recovers all categories active from the data categorization. Can be filtered by the parentId of the category.
Parameters
Query Parameters
| Name | Type |
|---|---|
parentId | string |
Responses
200Retrieve a list of all categories
object[]
itemsobject
Cateogry response
idrequiredstring
Identifier for the category
descriptionrequiredstring
Description of the category
descriptionTranslatedstring
Description of the category, translated to portuguese
parentIdstring
Parent's identifier
parentDescriptionstring
Parent's category description
Example response
json
{
"page": 1,
"total": 2,
"totalPages": 1,
"results": [
{
"id": "01000000",
"description": "Income",
"descriptionTranslated": "Renda"
},
{
"id": "01010000",
"description": "Salary/pro-labore",
"descriptionTranslated": "Salário",
"parentId": "01000000",
"parentDescription": "Income"
}
]
}Code Examples
bash
curl -X GET 'https://api.pluggy.ai/categories' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: YOUR_API_KEY'Try It
Query Parameters
